{%- from "octavia/map.jinja" import api with context %}

{%- if api.enabled %}

include:
  - octavia.db.offline_sync
  - octavia._ssl.mysql
  - octavia._ssl.rabbitmq

octavia_api_packages:
  pkg.installed:
  - names: {{ api.pkgs }}
  - require_in:
    - sls: octavia.db.offline_sync
    - sls: octavia._ssl.mysql
    - sls: octavia._ssl.rabbitmq


/etc/octavia/octavia_api.conf:
  file.managed:
  - source: salt://octavia/files/{{ api.version }}/octavia_api.conf
  - template: jinja
  - require:
    - pkg: octavia_api_packages
    - sls: octavia._ssl.mysql
    - sls: octavia._ssl.rabbitmq
  - require_in:
    - sls: octavia.db.offline_sync

{%- if pillar.octavia.manager is not defined %}
/etc/octavia/dhcp/:
  file.directory:
    - name: /etc/octavia/dhcp/
    - user: octavia
    - group: octavia
    - makedirs: true

/etc/octavia/dhcp/dhclient.conf:
  file.managed:
  - source: salt://octavia/files/{{ api.version }}/dhcp/dhclient.conf
  - require:
    - pkg: octavia_api_packages
{%- endif %}


{%- if not grains.get('noservices', False) %}
octavia_api_services:
  service.running:
  - names: {{ api.services }}
  - enable: true
  - watch:
    - file: /etc/octavia/octavia_api.conf
  - require:
    - sls: octavia.db.offline_sync
    - sls: octavia._ssl.mysql
    - sls: octavia._ssl.rabbitmq
{%- endif %}

{%- endif %}
